Subject: Re: w32-symlinks for NT Emacs 21
From: "Dr Francis J. Wright" <[email-masked]>
To: "egor duda" <[email-masked]>
Cc: "Help Emacs Windows" <[email-masked]>, <[email-masked]>
Date: Tue, 9 Jul 2002 16:00:12 +0100

From: "egor duda" <[email-masked]>
To: "Dr Francis J. Wright" <[email-masked]>
Cc: "Help Emacs Windows" <[email-masked]>; <[email-masked]>
Sent: Tuesday, July 09, 2002 3:20 PM
Subject: Re: w32-symlinks for NT Emacs 21

> Don't change cygwin symlinks with anything other than cygwin tools!
> Changing cygwin symlinks manually is error-prone and can lead to hard
> to diagnose errors!

w32-symlinks never changes existing symlinks.  And the only situation in
which it creates an (old style) symlink file is as a backup when an ln
program is not available.

> To reiterate. The only proper way to handle cygwin's symlinks is via
> cygwin tools or api. Doing otherwise is looking for hard-to-find
> errors.

Yes.  But I don't think that will be possible to do cleanly within dired in
NT Emacs until NT Emacs can be compiled as a Cygwin application (i.e. not
using mingw), and as far as I am aware that is still not possible.  In the
meantime, I will try to improve the ELisp support for using Cygwin ln and ls
from within dired.  (ln is there now; ls needs a little more work, since I
was originally targeting ls-lisp.)

Francis

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/